# $Revision: 1.3 $, $Date: 2004/08/07 21:34:35 $
Summary:	HDF5 High Level APIs
Summary(pl):	Wysokopoziomowe API HDF5
Name:		hdf5_hl
Version:	5162p1
Release:	1
License:	Nearly BSD, but changed sources must be marked
Group:		Libraries
Source0:	ftp://ftp.ncsa.uiuc.edu/HDF/HDF5/hdf5_hl/src/%{name}-%{version}.tar.gz
# Source0-md5:	5396e194ce6a001a84ad85fbb0702b18
Patch0:		%{name}-config.patch
URL:		http://hdf.ncsa.uiuc.edu/HDF5/hdf5_hl/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	hdf5-devel >= 1.6.2
BuildRequires:	libtool
Requires:	hdf5 >= 1.6.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The HDF5 High Level APIs (Application Programming Interface) consist
of a set of functions build on top of the basic HDF5 library. The
purpose is either to define functions which do more operations per
call than the basic HDF5 interface or to build a set of functions for
added standard object definitions (like images or tables).

%description -l pl
Wysokopoziomowe API HDF5 skada si ze zbioru funkcji stworzonych w
oparciu o podstawow bibliotek HDF5. Jego celem jest zdefiniowanie
funkcji wykonujcych w jednym wywoaniu wicej operacji ni podstawowy
interfejs HDF5 oraz utworzenie zbioru funkcji dla dodanych definicji
standardowych obiektw (takich jak obrazy czy tablice).

%package devel
Summary:	Header files for HDF5 High Level APIs
Summary(pl):	Pliki nagwkowe dla wysokopoziomowego API HDF5
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	hdf5-devel >= 1.6.2

%description devel
Header files for HDF5 High Level APIs.

%description devel -l pl
Pliki nagwkowe dla wysokopoziomowego API HDF5.

%package static
Summary:	Static HDF5 High Level API library
Summary(pl):	Statyczna biblioteka wysokopoziomowego API HDF5
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static HDF5 High Level API library.

%description static -l pl
Statyczna biblioteka wysokopoziomowego API HDF5.

%package tutor
Summary:	HDF5 High Level API tutor
Summary(pl):	Wprowadzenie do wysokopoziomowego API HDF5
Group:		Documentation

%description tutor
HDF5 High Level API tutor (examples with detailed description).

%description tutor -l pl
Wprowadzenie do wysokopoziomowego API HDF5 (przykady ze szczegowym
opisem).

%prep
%setup -q
%patch -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}

%{__make} install \
	libdir=$RPM_BUILD_ROOT%{_libdir} \
	includedir=$RPM_BUILD_ROOT%{_includedir}

# clean tutor before copying
rm -rf doc/tutor/examples/{.libs,.depend,Dependencies,Makefile*,*.{o,lo},ex_*[0-9]}
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}-tutor
cp -rf doc/tutor/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}-tutor
# tutor path
for f in index.html RM_hdf5tb_spec.html ; do
	sed -e 's@"tutor/index.html"@"%{_examplesdir}/%{name}-%{version}-tutor/index.html"@' \
		doc/$f > ${f}.tmp
	mv -f ${f}.tmp doc/$f
done

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/*.html
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files tutor
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}-tutor

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hdf5_hl.spec,v $
Revision 1.3  2004/08/07 21:34:35  qboosh
- Source0 URL fix

Revision 1.2  2004/08/07 18:58:10  qboosh
- updated to 5162p1 (for hdf5 1.6.2)

Revision 1.1  2003/07/19 14:50:56  qboosh
- new
